osl::DirectionTraitsGen< LONG_DR > Struct Reference

`#include <directionTraits.h>`

## Static Public Attributes

static const bool | canPromoteTo =false
static const Direction | altDir =LONG_UL
static const Direction | longDir =LONG_DR
static const Direction | primDir =UL
static const int | blackDx =DirectionTraitsGen<DR>::blackDx
static const int | blackDy =DirectionTraitsGen<DR>::blackDy
static const int | ptypeMask

## Detailed Description

Definition at line 214 of file directionTraits.h.

## Member Data Documentation

## altDir

const Direction osl::DirectionTraitsGen< LONG_DR >::altDir =LONG_UL

static

Definition at line 216 of file directionTraits.h.

## blackDx

const int osl::DirectionTraitsGen< LONG_DR >::blackDx =DirectionTraitsGen<DR>::blackDx

static

Definition at line 219 of file directionTraits.h.

## blackDy

const int osl::DirectionTraitsGen< LONG_DR >::blackDy =DirectionTraitsGen<DR>::blackDy

static

Definition at line 220 of file directionTraits.h.

## canPromoteTo

const bool osl::DirectionTraitsGen< LONG_DR >::canPromoteTo =false

static

Definition at line 215 of file directionTraits.h.

## longDir

const Direction osl::DirectionTraitsGen< LONG_DR >::longDir =LONG_DR

static

Definition at line 217 of file directionTraits.h.

## primDir

const Direction osl::DirectionTraitsGen< LONG_DR >::primDir =UL

static

Definition at line 218 of file directionTraits.h.

## ptypeMask

const int osl::DirectionTraitsGen< LONG_DR >::ptypeMask

static

Initial value:
=
(1<<PBISHOP)|(1<<BISHOP)
osl::BISHOP
@ BISHOP
Definition basic_type.h:99
osl::PBISHOP
@ PBISHOP
Definition basic_type.h:91

Definition at line 221 of file directionTraits.h.

The documentation for this struct was generated from the following file:

- directionTraits.h